Bug 1956977 - Impress crashes on switch from commenting to slide sorter
Summary: Impress crashes on switch from commenting to slide sorter
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libreoffice
Version: 34
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-05-04 19:18 UTC by mechonbarsa@gmail.com
Modified: 2021-05-07 01:03 UTC (History)
4 users (show)

Fixed In Version: libreoffice-7.1.2.2-4.fc34 libreoffice-7.1.3.2-1.fc35
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-05-06 22:46:28 UTC
Type: Bug


Attachments (Terms of Use)
Screencast of the bug. (729.88 KB, video/webm)
2021-05-04 19:18 UTC, mechonbarsa@gmail.com
no flags Details

Description mechonbarsa@gmail.com 2021-05-04 19:18:23 UTC
Created attachment 1779482 [details]
Screencast of the bug.

Description of problem:

When I'm editing a presentation, and I'm editing a comment and I switch to slide sorter, the application crashes.

Version-Release number of selected component (if applicable):

7.1.2.2-2.fc34

How reproducible:

All the time.

Steps to Reproduce:
1. Edit any presentation
2. Insert (Ctrl-Alt-C) or edit a comment
3. Without closing the comment window, click on the "Slide sorter" tab

Actual results:

Application crash.

Expected results:

Orderly switch to slide sorter view.


Additional info:

Comment 1 Caolan McNamara 2021-05-04 20:04:02 UTC
reproducible

Comment 2 Fedora Update System 2021-05-05 16:29:48 UTC
FEDORA-2021-ad00ea0b0a has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-ad00ea0b0a

Comment 3 Fedora Update System 2021-05-06 01:58:26 UTC
FEDORA-2021-ad00ea0b0a has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-ad00ea0b0a`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-ad00ea0b0a

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 4 Fedora Update System 2021-05-06 22:46:28 UTC
FEDORA-2021-1205a22060 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 5 Fedora Update System 2021-05-07 01:03:08 UTC
FEDORA-2021-ad00ea0b0a has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.